Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.generator
Class Generator

    java.lang.Object
      hibergui.generator.Generator

    public class Generator

extends java.lang.Object

Generates java source code from XML documents with using FreeMarker toolkit.

Author:
  Csaba Gyenge

Field Summary
`private static java.lang.String` | `DEFAULT_DESTDIR`
`private static java.util.logging.Logger` | `logger`
`private static java.lang.String` | `TEMPLATE_FILENAME`
`private static java.lang.String` | `TEMPLATES_FOLDER`

Constructor Summary
`Generator(java.lang.String configXML)`
`Generator(java.lang.String configXML, java.lang.String destDir)` Generates java source code.

Method Summary
`static java.util.logging.Logger` | `getLogger()` Gets actual logger of generator.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATES_FOLDER

    private static final java.lang.String TEMPLATES_FOLDER

See Also:
  Constant Field Values

### TEMPLATE_FILENAME

    private static final java.lang.String TEMPLATE_FILENAME

See Also:
  Constant Field Values

### DEFAULT_DESTDIR

    private static final java.lang.String DEFAULT_DESTDIR

See Also:
  Constant Field Values

### logger

    private static final java.util.logging.Logger logger

Constructor Detail

### Generator

    public Generator(java.lang.String configXML,
                     java.lang.String destDir)
              throws org.xml.sax.SAXException,
                     java.io.IOException,
                     javax.xml.parsers.ParserConfigurationException,
                     freemarker.template.TemplateException,
                     javax.xml.transform.TransformerException

  Generates java source code.

  Parameters:
    `configXML` - Path to the configuration xml file.
    `destDir` - Destination directroy to save generated java source codes in it.
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `freemarker.template.TemplateException`
    `javax.xml.transform.TransformerException`

### Generator

    public Generator(java.lang.String configXML)
              throws org.xml.sax.SAXException,
                     java.io.IOException,
                     javax.xml.parsers.ParserConfigurationException,
                     freemarker.template.TemplateException,
                     javax.xml.transform.TransformerException

Throws:
  `org.xml.sax.SAXException`
  `java.io.IOException`
  `javax.xml.parsers.ParserConfigurationException`
  `freemarker.template.TemplateException`
  `javax.xml.transform.TransformerException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws org.xml.sax.SAXException,
                            java.io.IOException,
                            javax.xml.parsers.ParserConfigurationException,
                            freemarker.template.TemplateException,
                            javax.xml.transform.TransformerException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `freemarker.template.TemplateException`
    `javax.xml.transform.TransformerException`

### getLogger

    public static java.util.logging.Logger getLogger()

  Gets actual logger of generator.

  Returns:
    Logger which is logging informations under the process of generating.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD